This documentation supports the 1.2 version of Remedy with Smart IT.

To view the latest version, select the version from the Product version menu.

Upgrading

This topic describes upgrading from BMC Remedy with Smart IT 1.1 and BMC MyIT 2.5. BMC Remedy with Smart IT (Smart IT) and BMC MyIT use the same installer. For more information about the relationship between Smart IT and MyIT, see Installing.  The installer can upgrade Smart IT and BMC MyIT only from the previous version. If you are running a version of Smart IT earlier than 1.1 and BMC MyIT earlier than 2.5, you must perform upgrades to each intermediate version prior to installing BMC Remedy with Smart IT. For example, if you are running BMC MyIT 2.1, you must first upgrade to BMC MyIT 2.2, then to BMC MyIT 2.5, and then you upgrade to Smart IT 1.2 and BMC MyIT 2.6.

If you have not installed Smart IT, see Smart IT installation process overview.

If you upgrade in a cluster, first run the installer on the master node in the cluster. Then, run the installer on each child node to upgrade the cluster. 

Whenever you upgrade the server, and also whenever new clients are available, you must upgrade clients on all devices. The most recent clients are necessary to support the latest functionality. Users who remain on older clients might not be able to view data or might not be able to successfully use updated features. 

Preparing to upgrade 

StepTask
1

Review the compatibility matrix for the latest, most complete information about platforms currently supported by BMC Remedy for Smart IT.

Note: To access this information, you must log in with your BMC support login and password.

Select BMC PRODUCT AND VERSION. Enter BMC Remedy for Smart IT and select the version.

2Review the Known and corrected issues for BMC Remedy with Smart IT.
3Review the System requirements for Smart IT, which include required databases, supported platforms, and optional components.
4(Optional) If your BMC Remedy ITSM environment includes customized data on the SYS:Notification Messages form, you must back up these customizations. Examples of customized data include changing the email notification content or disabling any of the email notifications. Smart IT overwrites some of the BMC Remedy ITSM data on the SYS:Notification Messages form, and your customizations will be lost.
5Download the installation files.
6On the BMC MyIT server, upgrade the 64-bit Java Runtime Environment (JRE) to version 8.
7

Install or update the required and optional BMC software per the compatibility matrix. You can use your existing BMC Remedy AR System and BMC Remedy IT Service Management (ITSM) environment. (You can install BMC Remedy ITSM on the same AR System server on which Smart IT is installed or on a separate AR System server.)

a. Update BMC Remedy AR System and BMC Remedy IT Service Management to the latest service pack or install the latest patch.

b. Install or update BMC Remedy Knowledge Management to the latest service pack or install the latest patch. This is required to enable Full Text Search (FTS), but you do not have to create knowledge articles.

c. If you upgraded BMC Remedy IT Service Management, install the Smart IT User Experience patch

8Verify the required ports for Google and iOS notifications
9(Optional) Upgrade MongoDB to version 2.6.x. The installer upgrades MongoDB only if MongoDB is running on the BMC MyIT server.
10(Optional)  If you upgrade MongoDB to version 2.6.x and are using Elasticsearch, you must upgrade Elasticsearch to version 1.4.
11If you choose to use Microsoft Windows authentication, create three user accounts on your Windows system that can be used in the business, system, and OpenFire Smart IT schemes.

Upgrading Smart IT

StepTask
1Run the installer to upgrade BMC Remedy for Smart IT.  
2

Verify that the configurations are valid after successfully upgrading Smart IT:

3

Deploy the Smart IT application to users so that they can install it on their mobile devices.

Upgrade clients across all platforms to ensure compatibility.

Related topics

Preparing for installation

Performing the installation

This version of the documentation is no longer supported. However, the documentation is available for your convenience. You will not be able to leave comments.

Comments

  1. Matthias Werninghaus

    According to this

    c. If you upgraded BMC Remedy IT Service Management, install the Smart IT User Experience patch

    I don't have to install the "User Experience 1.2" before installing Smart-IT 1.2?

    I thought the experience patch is always installed before the Smart-IT Patch?

     

    I'm on Remedy / ITSM 9.0.00 and don't want to update complete to 9.0.01. Or is there a patch tool for 9.0.01? Only find the complete Version of 9.0.01..

    That would be much work for me. What is for my environment the correct way?

    Did i miss something?

    Aug 28, 2015 01:13
    1. Catherine Siderine

      Hi Matthias,

      Thanks for your questions. I will send them to the person who maintains this content.

      Regards,

      Cathy

      Sep 03, 2015 04:58
    1. Michele Marques

      You do not need to upgrade Remedy ITSM.

      If you are planning to upgrade ITSM, you should do so before installing the User Experience patch.

      Sep 03, 2015 05:14